/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Base, markType } from "igniteui-angular-core";
import { Guid } from "igniteui-angular-core";
import { ArgumentException } from "igniteui-angular-core";
/**
 * @hidden
 */
export let ImageFormat = /*@__PURE__*/ (() => {
    class ImageFormat extends Base {
        constructor(a) {
            super();
            this.o = new Guid();
            this.o = a;
        }
        static d(a) {
            let b;
            switch (a.toLowerCase()) {
                case "image/bmp":
                    b = ImageFormat.a;
                    break;
                case "image/dib":
                    b = ImageFormat.b;
                    break;
                case "image/emf":
                    b = ImageFormat.c;
                    break;
                case "image/gif":
                    b = ImageFormat.e;
                    break;
                case "image/jpeg":
                    b = ImageFormat.f;
                    break;
                case "image/png":
                    b = ImageFormat.h;
                    break;
                case "image/tiff":
                case "image/x-tiff":
                    b = ImageFormat.i;
                    break;
                case "windows/metafile":
                case "image/wmf":
                    b = ImageFormat.j;
                    break;
                default: throw new ArgumentException(1, "Unrecognized mediaType:" + a);
            }
            return b;
        }
        static u(a) {
            let b = null;
            if (a != null) {
                let c = a.o;
                if (Guid.l_op_Equality(c, ImageFormat.r)) {
                    b = "image/png";
                }
                else if (Guid.l_op_Equality(c, ImageFormat.p)) {
                    b = "image/jpeg";
                }
                else if (Guid.l_op_Equality(c, ImageFormat.n)) {
                    b = "image/gif";
                }
                else if (Guid.l_op_Equality(c, ImageFormat.t)) {
                    b = "image/wmf";
                }
                else if (Guid.l_op_Equality(c, ImageFormat.k)) {
                    b = "image/bmp";
                }
                else if (Guid.l_op_Equality(c, ImageFormat.s)) {
                    b = "image/tiff";
                }
                else if (Guid.l_op_Equality(c, ImageFormat.m)) {
                    b = "image/emf";
                }
                else if (Guid.l_op_Equality(c, ImageFormat.l)) {
                    b = "image/dib";
                }
            }
            return b;
        }
    }
    ImageFormat.$t = markType(ImageFormat, 'ImageFormat');
    ImageFormat.k = new Guid(3, "B96B3CAA-0728-11D3-9D7B-0000F81EF32E");
    ImageFormat.l = new Guid(3, "824CA8E2-A984-4668-8A14-077225372B1C");
    ImageFormat.m = new Guid(3, "B96B3CAC-0728-11D3-9D7B-0000F81EF32E");
    ImageFormat.n = new Guid(3, "1FE88D21-FE3D-4F4A-ABD3-8DBAD86C510A");
    ImageFormat.p = new Guid(3, "0C487171-1412-4D76-B20A-4AEA380FFAA7");
    ImageFormat.q = new Guid(3, "B96b3CAA-0728-11D3-9D7B-0000F81EF32E");
    ImageFormat.r = new Guid(3, "7B369CF6-0507-4F15-ABE8-5768C70D1454");
    ImageFormat.s = new Guid(3, "069B1E5E-A617-4498-AAEA-D71AF8933FD3");
    ImageFormat.t = new Guid(3, "B96B3CAD-0728-11D3-9D7B-0000F81EF32E");
    ImageFormat.a = new ImageFormat(ImageFormat.k);
    ImageFormat.b = new ImageFormat(ImageFormat.l);
    ImageFormat.c = new ImageFormat(ImageFormat.m);
    ImageFormat.e = new ImageFormat(ImageFormat.n);
    ImageFormat.f = new ImageFormat(ImageFormat.p);
    ImageFormat.g = new ImageFormat(ImageFormat.q);
    ImageFormat.h = new ImageFormat(ImageFormat.r);
    ImageFormat.i = new ImageFormat(ImageFormat.s);
    ImageFormat.j = new ImageFormat(ImageFormat.t);
    return ImageFormat;
})();
